*,
*::after,
*::before {
    margin: 0px;
    padding: 0px; 
    outline: none;
    border: 0px;
    box-sizing: border-box;
}
body {
    background-color: rgba(103, 255, 255, 0.24)
}
header {
    text-align: center;
    margin: auto;
    font-family: 'Barriecito', cursive;
    font-size: 60px;
    color: darkgreen;
    text-emphasis: outline 2px black;
}

nav {
	font-family: 'Exo 2', sans-serif;
	color: black;
	letter-spacing: 3px;
	font-weight: 700i;
	font-size: 30px;
    margin: 20px 20px;
    padding: 0 40px;
    text-align: center;
}
nav a {
    text-decoration: none;
    margin: 20px 100px;
}

.intro{
    display: show;
    /* height: 100vh; */
    /*alternate idea - make instructions disappear when "play" is clicked so game board slides up to top and "Frogger" name stays at top */
}
#instructions {
    font-family: 'Exo 2', sans-serif;
	color: black;
	letter-spacing: 1px;
	font-weight: 400i;
	font-size: 25px;
    margin: 20px 40px;
    padding: 20px 40px;
    text-align: center;
}

.row div{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 55px;
    width: 55px;
}
.lilypad {
    background-color: blue;
    /* z-index: 1; */
}
.bush {
    background-color: darkgreen;
}
.water {
    background-color: blue;
    /* overflow-x: hidden; */
}

/* .water-container {
} */
.log {
    height: 45px;
    width: auto;
    z-index: 1;
}
.grass {
    background-color: green;
}

.road {
    background-color: darkgray;
    border-top: 2px dashed white;
}

#gameboard {
    margin: 0;
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.row{
    display: flex;
}

.console {
    background-color: black;
    display: inline-flex;
    flex-direction: column;
    align-items: space-between;
    font-family: 'Barriecito', cursive;
    font-size: 25px;
    color: white;
    width: 199px;
    text-align: center;
}
/* .log {
    overflow: hidden;
} */
#frog {
    height: 50px;
    width: 50px;
    z-index: 2;
    position: absolute;
}
.car {
    height: 55px;
    width: 55px;
}
a:hover {
    color: darkgreen;
    cursor: pointer;
}
.modal {
    display: none; 
    position: absolute; 
    z-index: 5;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%; 
    background-color: rgb(0,0,0);
    background-color: rgba(89, 207, 89, 0.671);
  }
    .modal-content {
    background-color: rgba(89, 207, 89, 0.671);
    text-align: center;
    font-family: 'Barriecito', cursive;
    font-size: 45px;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%; 
  }
    .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
  }
  
  .close:hover,
  .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
  }